## mingw-w64-itk-5.4.2-1.src.tar.zst

=== Examples/Filtering/test/CMakeLists.txt ===
set(BASELINE ${ITK_DATA_ROOT}/Baseline/Filtering)
set(TEMP ${ITK_BINARY_DIR}/Testing/Temporary)

itk_add_test(
  NAME
  BilateralImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/BilateralImageFilter.png,:}
  ${TEMP}/BilateralImageFilter.png
  $<TARGET_FILE:BilateralImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/BilateralImageFilter.png
  6.0
  5.0)
itk_add_test(
  NAME
  BinaryMinMaxCurvatureFlowImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/BinaryMinMaxCurvatureFlowImageFilter.png}
  ${TEMP}/BinaryMinMaxCurvatureFlowImageFilter.png
  $<TARGET_FILE:BinaryMinMaxCurvatureFlowImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/BinaryMinMaxCurvatureFlowImageFilter.png
  10
  .125
  1
  128)
itk_add_test(
  NAME
  BinaryThresholdImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/BinaryThresholdImageFilter.png}
  ${TEMP}/BinaryThresholdImageFilter.png
  $<TARGET_FILE:BinaryThresholdImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/BinaryThresholdImageFilter.png
  150
  180
  0
  255)
itk_add_test(
  NAME
  BinaryMedianImageFilterTest1
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/BinaryMedianImageFilter1.png}
  ${TEMP}/BinaryMedianImageFilter1.png
  $<TARGET_FILE:BinaryMedianImageFilter>
  DATA{${BASELINE}/BinaryThresholdImageFilter.png}
  ${TEMP}/BinaryMedianImageFilter1.png
  1
  1)
itk_add_test(
  NAME
  BinaryMedianImageFilterTest2
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/BinaryMedianImageFilter2.png}
  ${TEMP}/BinaryMedianImageFilter2.png
  $<TARGET_FILE:BinaryMedianImageFilter>
  DATA{${BASELINE}/BinaryThresholdImageFilter.png}
  ${TEMP}/BinaryMedianImageFilter2.png
  2
  2)
itk_add_test(
  NAME
  BinaryMedianImageFilterTest3
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/BinaryMedianImageFilter3.png}
  ${TEMP}/BinaryMedianImageFilter3.png
  $<TARGET_FILE:BinaryMedianImageFilter>
  DATA{${BASELINE}/BinaryThresholdImageFilter.png}
  ${TEMP}/BinaryMedianImageFilter3.png
  3
  3)
itk_add_test(
  NAME
  VotingBinaryHoleFillingImageFilterTest1
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/VotingBinaryHoleFillingImageFilter1.png}
  ${TEMP}/VotingBinaryHoleFillingImageFilter1.png
  $<TARGET_FILE:VotingBinaryHoleFillingImageFilter>
  DATA{${BASELINE}/BinaryThresholdImageFilter.png}
  ${TEMP}/VotingBinaryHoleFillingImageFilter1.png
  1
  1)
itk_add_test(
  NAME
  VotingBinaryHoleFillingImageFilterTest2
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/VotingBinaryHoleFillingImageFilter2.png}
  ${TEMP}/VotingBinaryHoleFillingImageFilter2.png
  $<TARGET_FILE:VotingBinaryHoleFillingImageFilter>
  DATA{${BASELINE}/BinaryThresholdImageFilter.png}
  ${TEMP}/VotingBinaryHoleFillingImageFilter2.png
  2
  2)
itk_add_test(
  NAME
  VotingBinaryHoleFillingImageFilterTest3
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/VotingBinaryHoleFillingImageFilter3.png}
  ${TEMP}/VotingBinaryHoleFillingImageFilter3.png
  $<TARGET_FILE:VotingBinaryHoleFillingImageFilter>
  DATA{${BASELINE}/BinaryThresholdImageFilter.png}
  ${TEMP}/VotingBinaryHoleFillingImageFilter3.png
  3
  3)
itk_add_test(
  NAME
  VotingBinaryIterativeHoleFillingImageFilterTest1
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/VotingBinaryIterativeHoleFillingImageFilter1.png}
  ${TEMP}/VotingBinaryIterativeHoleFillingImageFilter1.png
  $<TARGET_FILE:VotingBinaryIterativeHoleFillingImageFilter>
  DATA{${BASELINE}/BinaryThresholdImageFilter.png}
  ${TEMP}/VotingBinaryIterativeHoleFillingImageFilter1.png
  1
  1
  10)
itk_add_test(
  NAME
  VotingBinaryIterativeHoleFillingImageFilterTest2
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/VotingBinaryIterativeHoleFillingImageFilter2.png}
  ${TEMP}/VotingBinaryIterativeHoleFillingImageFilter2.png
  $<TARGET_FILE:VotingBinaryIterativeHoleFillingImageFilter>
  DATA{${BASELINE}/BinaryThresholdImageFilter.png}
  ${TEMP}/VotingBinaryIterativeHoleFillingImageFilter2.png
  2
  2
  10)
itk_add_test(
  NAME
  VotingBinaryIterativeHoleFillingImageFilterTest3
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/VotingBinaryIterativeHoleFillingImageFilter3.png}
  ${TEMP}/VotingBinaryIterativeHoleFillingImageFilter3.png
  $<TARGET_FILE:VotingBinaryIterativeHoleFillingImageFilter>
  DATA{${BASELINE}/BinaryThresholdImageFilter.png}
  ${TEMP}/VotingBinaryIterativeHoleFillingImageFilter3.png
  3
  3
  10)
itk_add_test(
  NAME
  BinomialBlurImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/BinomialBlurImageFilter.png}
  ${TEMP}/BinomialBlurImageFilter.png
  $<TARGET_FILE:BinomialBlurImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/BinomialBlurImageFilter.png
  5)
itk_add_test(
  NAME
  CompositeFilterExampleTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{Baseline/CompositeFilterExample.mha}
  ${TEMP}/CompositeFilterExample.mha
  $<TARGET_FILE:CompositeFilterExample>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/CompositeFilterExample.mha)
itk_add_test(
  NAME
  CurvatureAnisotropicDiffusionImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/CurvatureAnisotropicDiffusionImageFilter.png,:}
  ${TEMP}/CurvatureAnisotropicDiffusionImageFilter.png
  $<TARGET_FILE:CurvatureAnisotropicDiffusionImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/CurvatureAnisotropicDiffusionImageFilter.png
  5
  0.125
  3)
itk_add_test(
  NAME
  CurvatureFlowImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/CurvatureFlowImageFilter.png}
  ${TEMP}/CurvatureFlowImageFilter.png
  $<TARGET_FILE:CurvatureFlowImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/CurvatureFlowImageFilter.png
  5
  0.125
  1.0)
itk_add_test(
  NAME
  DanielssonDistanceMapImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/DanielssonDistanceMapImageFilter.png}
  ${TEMP}/DanielssonDistanceMapImageFilter.png
  $<TARGET_FILE:DanielssonDistanceMapImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/FivePoints.png
  ${TEMP}/DanielssonDistanceMapImageFilter.png
  ${TEMP}/DanielssonDistanceMapImageFilter2.png
  ${TEMP}/DanielssonDistanceMapImageFilter.mha)
itk_add_test(
  NAME
  DiscreteGaussianImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/DiscreteGaussianImageFilter.png}
  ${TEMP}/DiscreteGaussianImageFilter.png
  $<TARGET_FILE:DiscreteGaussianImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/DiscreteGaussianImageFilter.png
  1.73
  10)
itk_add_test(
  NAME
  GradientAnisotropicDiffusionImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/GradientAnisotropicDiffusionImageFilter.png}
  ${TEMP}/GradientAnisotropicDiffusionImageFilter.png
  $<TARGET_FILE:GradientAnisotropicDiffusionImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/GradientAnisotropicDiffusionImageFilter.png
  5
  0.125
  1.0)
itk_add_test(
  NAME
  GradientMagnitudeImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/GradientMagnitudeImageFilter.png}
  ${TEMP}/GradientMagnitudeImageFilter.png
  $<TARGET_FILE:GradientMagnitudeImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/GradientMagnitudeImageFilter.png)
itk_add_test(
  NAME
  GradientMagnitudeRecursiveGaussianImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/GradientMagnitudeRecursiveGaussianImageFilter.png}
  ${TEMP}/GradientMagnitudeRecursiveGaussianImageFilter.png
  $<TARGET_FILE:GradientMagnitudeRecursiveGaussianImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/GradientMagnitudeRecursiveGaussianImageFilter.png
  5)
itk_add_test(
  NAME
  GradientRecursiveGaussianImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  $<TARGET_FILE:GradientRecursiveGaussianImageFilter>
  DATA{${ITK_SOURCE_DIR}/Testing/Data/Input/HeadMRVolume.mhd,HeadMRVolume.raw}
  ${TEMP}/GradientRecursiveGaussianImageFilterTest.mha
  1.5 # Sigma
)
itk_add_test(
  NAME
  GradientVectorFlowImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  $<TARGET_FILE:GradientVectorFlowImageFilter>
  DATA{${ITK_SOURCE_DIR}/Testing/Data/Input/GradientRecursiveGaussianImageFilterTest.mha}
  ${TEMP}/GradientVectorFlowImageFilterTest.mha
  5 # number of iterations
  2000.0 # noise level
)
set_tests_properties(GradientVectorFlowImageFilterTest PROPERTIES DEPENDS GradientRecursiveGaussianImageFilterTest)
itk_add_test(
  NAME
  DerivativeImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/DerivativeImageFilter.mha}
  ${TEMP}/DerivativeImageFilter.mha
  $<TARGET_FILE:DerivativeImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/DerivativeImageFilter.mha
  ${TEMP}/DerivativeImageFilter.png
  1
  1)
itk_add_test(
  NAME
  LaplacianImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/LaplacianImageFilter.png,:}
  ${TEMP}/LaplacianImageFilter.png
  $<TARGET_FILE:LaplacianImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/LaplacianImageFilter.png)
itk_add_test(
  NAME
  LaplacianSharpeningImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/LaplacianSharpeningImageFilter.png,:}
  ${TEMP}/LaplacianSharpeningImageFilter.png
  $<TARGET_FILE:LaplacianSharpeningImageFilter>
  DATA{${ITK_SOURCE_DIR}/Testing/Data/Input/cthead1.png}
  ${TEMP}/LaplacianSharpeningImageFilter.png)
itk_add_test(
  NAME
  MathematicalMorphologyBinaryFiltersTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/MathematicalMorphologyBinaryFiltersErode.png}
  ${TEMP}/MathematicalMorphologyBinaryFiltersErode.png
  $<TARGET_FILE:MathematicalMorphologyBinaryFilters>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/MathematicalMorphologyBinaryFiltersErode.png
  ${TEMP}/MathematicalMorphologyBinaryFiltersDilate.png
  150
  180)
itk_add_test(
  NAME
  MathematicalMorphologyGrayscaleFiltersTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/MathematicalMorphologyGrayscaleFiltersErode.png}
  ${TEMP}/MathematicalMorphologyGrayscaleFiltersErode.png
  $<TARGET_FILE:MathematicalMorphologyGrayscaleFilters>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/MathematicalMorphologyGrayscaleFiltersErode.png
  ${TEMP}/MathematicalMorphologyGrayscaleFiltersDilate.png)
itk_add_test(
  NAME
  MeanImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/MeanImageFilter.png}
  ${TEMP}/MeanImageFilter.png
  $<TARGET_FILE:MeanImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/MeanImageFilter.png)
itk_add_test(
  NAME
  MedianImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/MedianImageFilter.png}
  ${TEMP}/MedianImageFilter.png
  $<TARGET_FILE:MedianImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/MedianImageFilter.png
  1)
itk_add_test(
  NAME
  ResampleImageFilterTest1
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/ResampleImageFilterTest1.png}
  ${TEMP}/ResampleImageFilterTest1.png
  $<TARGET_FILE:ResampleImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/ResampleImageFilterTest1.png
  0)
itk_add_test(
  NAME
  ResampleOrientedImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/ResampleOrientedImageFilterTest.png}
  ${TEMP}/ResampleOrientedImageFilterTest.png
  $<TARGET_FILE:ResampleOrientedImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/VisibleWomanHeadSlice.png
  ${TEMP}/ResampleOrientedImageFilterTest.png
  0
  1
  1
  0)
itk_add_test(
  NAME
  ResampleImageFilterTest2

=== Modules/Bridge/VTK/CMakeLists.txt ===
project(ITKVTK)
set(ITKVTK_LIBRARIES ITKVTK)
itk_module_impl()

=== Modules/Core/GPUFiniteDifference/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.3 FATAL_ERROR)
project(ITKGPUFiniteDifference)

if(NOT ITK_SOURCE_DIR)
  find_package(ITK REQUIRED)
  list(APPEND CMAKE_MODULE_PATH ${ITK_CMAKE_DIR})
  set(ITK_USE_GPU
      ON
      CACHE BOOL "Enable OpenCL GPU support." FORCE)
  include(itkOpenCL)
endif()

if(ITK_USE_GPU)
  set(ITKGPUFiniteDifference_SYSTEM_INCLUDE_DIRS ${OPENCL_INCLUDE_DIRS})
  set(ITKGPUFiniteDifference_SYSTEM_LIBRARY_DIRS ${OPENCL_LIBRARIES})
  set(ITKGPUFiniteDifference_LIBRARIES ITKGPUFiniteDifference)
endif()

if(NOT ITK_SOURCE_DIR)
  include(ITKModuleExternal)
else()
  itk_module_impl()
endif()

=== Modules/Filtering/GPUSmoothing/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.3 FATAL_ERROR)
project(ITKGPUSmoothing)

if(NOT ITK_SOURCE_DIR)
  find_package(ITK REQUIRED)
  list(APPEND CMAKE_MODULE_PATH ${ITK_CMAKE_DIR})
  set(ITK_USE_GPU
      ON
      CACHE BOOL "Enable OpenCL GPU support." FORCE)
  include(itkOpenCL)
endif()

if(ITK_USE_GPU)
  set(ITKGPUSmoothing_LIBRARIES ITKGPUSmoothing)
  set(ITKGPUSmoothing_SYSTEM_INCLUDE_DIRS ${OPENCL_INCLUDE_DIRS})
  set(ITKGPUSmoothing_SYSTEM_LIBRARY_DIRS ${OPENCL_LIBRARIES})
endif()

if(NOT ITK_SOURCE_DIR)
  include(ITKModuleExternal)
else()
  itk_module_impl()
endif()

=== Modules/Filtering/SpatialFunction/CMakeLists.txt ===
project(ITKSpatialFunction)
itk_module_impl()

=== Modules/IO/NRRD/CMakeLists.txt ===
project(ITKIONRRD)
set(ITKIONRRD_LIBRARIES ITKIONRRD)
itk_module_impl()

=== Examples/DataRepresentation/Image/test/CMakeLists.txt ===
set(TEMP ${ITK_BINARY_DIR}/Testing/Temporary)

itk_add_test(
  NAME
  ImageAdaptor2Test
  COMMAND
  ${ITK_TEST_DRIVER}
  $<TARGET_FILE:ImageAdaptor2>
  ${ITK_SOURCE_DIR}/Examples/Data/VisibleWomanEyeSlice.png
  ${TEMP}/ImageAdaptor2Test.png)

itk_add_test(
  NAME
  ImageAdaptor3Test
  COMMAND
  ${ITK_TEST_DRIVER}
  $<TARGET_FILE:ImageAdaptor3>
  ${ITK_SOURCE_DIR}/Examples/Data/VisibleWomanEyeSlice.png
  ${TEMP}/ImageAdaptor3Test.mhd
  1)

itk_add_test(
  NAME
  ImageAdaptor4Test
  COMMAND
  ${ITK_TEST_DRIVER}
  $<TARGET_FILE:ImageAdaptor4>
  ${ITK_SOURCE_DIR}/Examples/Data/VisibleWomanEyeSlice.png
  ${TEMP}/ImageAdaptor4Test.png
  127)

itk_add_test(
  NAME
  ImageAdaptor1Test
  COMMAND
  ${ITK_TEST_DRIVER}
  $<TARGET_FILE:ImageAdaptor1>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainMidSagittalSlice.png)

itk_add_test(
  NAME
  Image1Test
  COMMAND
  ${ITK_TEST_DRIVER}
  $<TARGET_FILE:Image1>)

itk_add_test(
  NAME
  Image2Test
  COMMAND
  ${ITK_TEST_DRIVER}
  $<TARGET_FILE:Image2>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainMidSagittalSlice.png)

itk_add_test(
  NAME
  Image3Test
  COMMAND
  ${ITK_TEST_DRIVER}
  $<TARGET_FILE:Image3>)

itk_add_test(
  NAME
  Image4Test
  COMMAND
  ${ITK_TEST_DRIVER}
  $<TARGET_FILE:Image4>)

itk_add_test(
  NAME
  Image5Test
  COMMAND
  ${ITK_TEST_DRIVER}
  $<TARGET_FILE:Image5>
  ${TEMP}/Image5Test.mhd)

itk_add_test(
  NAME
  RGBImageTest
  COMMAND
  ${ITK_TEST_DRIVER}
  $<TARGET_FILE:RGBImage>
  ${ITK_SOURCE_DIR}/Examples/Data/VisibleWomanEyeSlice.png)

itk_add_test(
  NAME
  VectorImageTest
  COMMAND
  ${ITK_TEST_DRIVER}
  $<TARGET_FILE:VectorImage>)

=== Modules/Bridge/VtkGlue/src/CMakeLists.txt ===
if(NOT
   VTK_RENDERING_BACKEND
   STREQUAL
   "None")
  set(ITKVtkGlue_SRCS QuickView.cxx)

  add_library(ITKVtkGlue ${ITKVtkGlue_SRCS})
  itk_module_link_dependencies()
  target_link_libraries(ITKVtkGlue LINK_PUBLIC ${ITKVtkGlue_VTK_LIBRARIES})
  itk_module_target(ITKVtkGlue)
endif()

=== Modules/Filtering/LabelMap/wrapping/CMakeLists.txt ===
itk_wrap_module(ITKLabelMap)

set(WRAPPER_SUBMODULE_ORDER
    itkLabelObjectLine
    itkLabelObject
    itkShapeLabelObject
    itkStatisticsLabelObject
    ITKLabelMapBase
    itkLabelMapFilter
    itkInPlaceLabelMapFilter
    itkChangeRegionLabelMapFilter)

# Save default includes so they can be reset afterwards
set(tmp_default_includes ${WRAPPER_DEFAULT_INCLUDE})

# Add itkStatisticsLabelObject.h, it is not automatically detected
# (but it maybe should)
list(APPEND WRAPPER_DEFAULT_INCLUDE "itkStatisticsLabelObject.h")

itk_auto_load_and_end_wrap_submodules()

# Reset the WRAPPER_DEFAULT_INCLUDE to original value
set(WRAPPER_DEFAULT_INCLUDE ${tmp_default_includes})

=== Modules/Numerics/Optimizersv4/src/CMakeLists.txt ===
set(ITKOptimizersv4_SRCS
    itkObjectToObjectOptimizerBase.cxx
    itkSingleValuedNonLinearVnlOptimizerv4.cxx
    itkSingleValuedVnlCostFunctionAdaptorv4.cxx
    itkLBFGSOptimizerv4Base.cxx
    itkLBFGSOptimizerv4.cxx
    itkLBFGS2Optimizerv4.cxx
    itkLBFGSBOptimizerv4.cxx
    itkAmoebaOptimizerv4.cxx
    itkRegistrationParameterScalesEstimator.cxx
    itkObjectToObjectMetricBase.cxx)

itk_module_add_library(ITKOptimizersv4 ${ITKOptimizersv4_SRCS})
target_link_libraries(ITKOptimizersv4 LINK_PUBLIC ${ITKMetricsv4_LIBRARIES})

=== Modules/Segmentation/ConnectedComponents/wrapping/CMakeLists.txt ===
itk_wrap_module(ITKConnectedComponents)
itk_auto_load_and_end_wrap_submodules()

=== Modules/ThirdParty/KWSys/src/CMakeLists.txt ===
set(KWSYS_NAMESPACE itksys)
set(KWSYS_USE_SystemTools 1)
set(KWSYS_USE_RegularExpression 1)
set(KWSYS_USE_Directory 1)
set(KWSYS_USE_Base64 1)
set(KWSYS_USE_MD5 1 )
set(KWSYS_USE_CommandLineArguments 1)
set(KWSYS_USE_Process 1)
if(ITK_DYNAMIC_LOADING)
  set(KWSYS_USE_DynamicLoader 1)
else()
  set(KWSYS_USE_DynamicLoader 0)
endif()
set(KWSYS_USE_Glob 1)
set(KWSYS_USE_Registry 1)
set(KWSYS_USE_SystemInformation 1)
set(KWSYS_INSTALL_INCLUDE_DIR ${ITKKWSys_INSTALL_INCLUDE_DIR})
set(KWSYS_INSTALL_LIB_DIR ${ITKKWSys_INSTALL_LIBRARY_DIR})
set(KWSYS_INSTALL_BIN_DIR ${ITKKWSys_INSTALL_RUNTIME_DIR})
set(KWSYS_INSTALL_DOC_DIR ${ITK_INSTALL_DOC_DIR})
set(KWSYS_INSTALL_EXPORT_NAME ${ITKKWSys-targets})
set(KWSYS_INSTALL_COMPONENT_NAME_RUNTIME RuntimeLibraries)
set(KWSYS_INSTALL_COMPONENT_NAME_DEVELOPMENT Development)
set(KWSYS_PROPERTIES_C WINDOWS_EXPORT_ALL_SYMBOLS FALSE)
set( _macosx_rpath 1)
if(DEFINED CMAKE_MACOSX_RPATH AND NOT "${CMAKE_MACOSX_RPATH}" STREQUAL "")
  set(_macosx_rpath ${CMAKE_MACOSX_RPATH})
endif()
set(KWSYS_PROPERTIES_CXX MACOSX_RPATH ${_macosx_rpath} WINDOWS_EXPORT_ALL_SYMBOLS FALSE)

add_subdirectory(KWSys)
itk_module_target(${KWSYS_NAMESPACE} NO_INSTALL)

=== PKGBUILD ===
# Maintainer: Sergey Popov <popov.sa@gmail.com>

_realname=itk
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver=5.4.2
pkgrel=1
pkgdesc='An open-source C++ toolkit for medical image processing (mingw-w64)'
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64')
url='https://www.itk.org/'
msys2_repository_url="https://github.com/InsightSoftwareConsortium/ITK"
msys2_references=(
  'aur: itk'
)
license=('spdx:Apache-2.0')
depends=("${MINGW_PACKAGE_PREFIX}-gcc-libs"
         "${MINGW_PACKAGE_PREFIX}-dcmtk"
         "${MINGW_PACKAGE_PREFIX}-double-conversion"
         "${MINGW_PACKAGE_PREFIX}-expat"
         "${MINGW_PACKAGE_PREFIX}-fftw"
         "${MINGW_PACKAGE_PREFIX}-gdcm"
         "${MINGW_PACKAGE_PREFIX}-hdf5"
         "${MINGW_PACKAGE_PREFIX}-libjpeg"
         "${MINGW_PACKAGE_PREFIX}-libpng"
         "${MINGW_PACKAGE_PREFIX}-libtiff"
         #"${MINGW_PACKAGE_PREFIX}-opencl-icd"
         "${MINGW_PACKAGE_PREFIX}-zlib")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-eigen3"
             "${MINGW_PACKAGE_PREFIX}-gtest"
             "${MINGW_PACKAGE_PREFIX}-opencv"
             "${MINGW_PACKAGE_PREFIX}-vtk"
             "${MINGW_PACKAGE_PREFIX}-adios2"
             "${MINGW_PACKAGE_PREFIX}-cgns"
             "${MINGW_PACKAGE_PREFIX}-ffmpeg"
             "${MINGW_PACKAGE_PREFIX}-cli11"
             "${MINGW_PACKAGE_PREFIX}-fast_float"
             "${MINGW_PACKAGE_PREFIX}-gdal"
             "${MINGW_PACKAGE_PREFIX}-gl2ps"
             "${MINGW_PACKAGE_PREFIX}-libmariadbclient"
             "${MINGW_PACKAGE_PREFIX}-liblas"
             "${MINGW_PACKAGE_PREFIX}-libogg"
             "${MINGW_PACKAGE_PREFIX}-libtheora"
             "${MINGW_PACKAGE_PREFIX}-opencascade"
             "${MINGW_PACKAGE_PREFIX}-openslide"
             "${MINGW_PACKAGE_PREFIX}-openturns"
             "${MINGW_PACKAGE_PREFIX}-openvdb"
             "${MINGW_PACKAGE_PREFIX}-openvr"
             "${MINGW_PACKAGE_PREFIX}-pdal"
             "${MINGW_PACKAGE_PREFIX}-proj"
             "${MINGW_PACKAGE_PREFIX}-python"
             "${MINGW_PACKAGE_PREFIX}-qt6-base"
             "${MINGW_PACKAGE_PREFIX}-qt6-declarative"
             "${MINGW_PACKAGE_PREFIX}-unixodbc"
             "${MINGW_PACKAGE_PREFIX}-utf8cpp")
optdepends=("${MINGW_PACKAGE_PREFIX}-opencv: ITK-OpenCV bridge"
            "${MINGW_PACKAGE_PREFIX}-vtk: ITK-VTK bridge")
source=("https://github.com/InsightSoftwareConsortium/ITK/archive/v${pkgver}/ITK-${pkgver}.tar.gz")
sha256sums=('931c4edf7ae57eede3fc611992941edce64bea508cf5c8741c2a4c2f56eceff1')

build() {
  local -a _extra_config
  if check_option "debug" "n"; then
    _extra_config+=("-DCMAKE_BUILD_TYPE=Release")
  else
    _extra_config+=("-DCMAKE_BUILD_TYPE=Debug")
  fi

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
  cmake \
    -GNinja \
    -DCMAKE_INSTALL_PREFIX="${MINGW_PREFIX}" \
    -DBUILD_SHARED_LIBS=ON \
    -DBUILD_DOCUMENTATION=OFF \
    -DBUILD_EXAMPLES=OFF \
    -DBUILD_TESTING=OFF \
    -DITK_INSTALL_INCLUDE_DIR=include/ITK \
    -DITK_INSTALL_DATA_DIR=share/ITK \
    -DITK_INSTALL_DOC_DIR=share/doc/ITK \
    -DITK_INSTALL_PACKAGE_DIR=lib/cmake/ITK \
    -DITK_CUSTOM_LIBRARY_SUFFIX="" \
    -DITK_LEGACY_REMOVE=ON \
    -DITK_FUTURE_LEGACY_REMOVE=ON \
    -DITK_BUILD_DEFAULT_MODULES=OFF \
    -DITKGroup_Core=ON \
    -DITKGroup_IO=$([[ ${MINGW_PACKAGE_PREFIX} != *-clang-* ]] && echo "ON" || echo "OFF") \
    -DITKGroup_Filtering=ON \
    -DITKGroup_Registration=ON \
    -DITKGroup_Segmentation=ON \
    -DITKGroup_Numerics=ON \
    -DITKGroup_Video=ON \
    -DITKGroup_ThirdParty=ON \
    -DITKGroup_Bridge=ON \
    -DITKGroup_Nonunit=$([[ ${MINGW_PACKAGE_PREFIX} != *-clang-* ]] && echo "ON" || echo "OFF") \ \
    -DITKGroup_Compatibility=ON \
    -DModule_ITKVideoBridgeOpenCV=ON \
    -DModule_ITKVtkGlue=ON \
    -DITK_USE_GPU=OFF \
    -DUSE_FFTWD=ON \
    -DUSE_FFTWF=ON \
    -DITK_USE_SYSTEM_LIBRARIES=ON \
    -DITK_USE_SYSTEM_DCMTK=ON \
    -DITK_USE_SYSTEM_DOUBLECONVERSION=ON \
    -DITK_USE_SYSTEM_EIGEN=ON \
    -DITK_USE_SYSTEM_EXPAT=ON \
    -DITK_USE_SYSTEM_FFTW=ON \
    -DITK_USE_SYSTEM_GDCM=ON \
    -DITK_USE_SYSTEM_GOOGLETEST=ON \
    -DITK_USE_SYSTEM_HDF5=ON \
    -DITK_USE_SYSTEM_JPEG=ON \
    -DITK_USE_SYSTEM_MINC=OFF \
    -DITK_USE_SYSTEM_PNG=ON \
    -DITK_USE_SYSTEM_TIFF=ON \
    -DITK_USE_SYSTEM_VXL=OFF \
    -DITK_USE_SYSTEM_ZLIB=ON \
    -DITK_SKIP_PATH_LENGTH_CHECKS=1 \
    -DITK_FORBID_DOWNLOADS=ON \
    -DVNL_CONFIG_THREAD_SAFE=ON \
    -DVNL_CONFIG_ENABLE_SSE2_ROUNDING=ON \
    -DPython3_EXECUTABLE=${MINGW_PREFIX}/bin/python \
    "${_extra_config[@]}" \
    -S "ITK-${pkgver}" \
    -B "build-${MSYSTEM}"

  cmake --build "build-${MSYSTEM}"
}

package() {
  DESTDIR=${pkgdir} cmake --install "build-${MSYSTEM}"

  local PREFIX_DEPS=$(cygpath -am ${MINGW_PREFIX})
  sed -s "s|${PREFIX_DEPS}|\${_IMPORT_PREFIX}|g" \
    -i "${pkgdir}${MINGW_PREFIX}/lib/cmake/${_realname}/ITKTargets-release.cmake"
  find "${pkgdir}${MINGW_PREFIX}/lib/cmake/${_realname}" -name '*.cmake' -exec \
    sed -s "s|${PREFIX_DEPS}|\${ITK_INSTALL_PREFIX}|g" -i {} \;

  install -Dm644 "ITK-${pkgver}/LICENSE" "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE"
  install -Dm644 "ITK-${pkgver}/NOTICE" "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/NOTICE"
  install -Dm644 "ITK-${pkgver}/Modules/ThirdParty/KWSys/src/KWSys/Copyright.txt" \
    "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/KWSys/Copyright.txt"
}
